#
# spec file for package yast2-agent-modules (Version 2.4.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake dejagnu expect gpp libgpp libscr libscr-devel liby2 liby2-devel libycp libycp-devel tcl ydoc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db dejagnu devs diffutils e2fsprogs expect file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libscr libscr-devel libtool liby2 liby2-devel libycp libycp-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl texinfo textutils timezone unzip util-linux vim ydoc

Name:         yast2-agent-modules
Copyright:	(c) 2000 SuSE GmbH
Group:		System Environment/YaST
Summary:      YaST2-SCR: modules.conf agent (for developers only)
Version:      2.4.4
Release:      15
Source0:	yast2-agent-modules-2.4.4.tar.bz2

%description
This package contains the modules.conf interface of the YaST2-SCR
system and is only needed by YaST2 developers.

Authors:
--------
    Michal Svec <msvec@suse.cz> 
    Dan Vesely <dan@suse.cz> 
    

SuSE series: yast

%package devel
Version:      2.4.4
Release:      15
Summary:      YaST2-SCR: modules.conf agent (for developers only)
Group:		Development/Libraries
Provides:	y2a_mods
Obsoletes:	y2a_mods
Requires:	yast2-agent-modules

%description devel
This package contains the modules.conf interface of the YaST2-SCR
system and is only needed by YaST2 developers.

SuSE series: yast

%prep
%setup -n yast2-agent-modules-2.4.4

%build
aclocal
libtoolize --force --automake --copy
autoheader
automake --add-missing --copy
autoconf
export CXXFLAGS="$RPM_OPT_FLAGS $CXXFLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure
make
make check

%install
make install-strip
strip --strip-debug /usr/lib/YaST2/plugin/libpy2ag_modules.so.2.0.0

%files
%dir /usr/lib/YaST2/plugin
/usr/lib/YaST2/plugin/libpy2ag_modules.so.*
%dir /usr/lib/YaST2/scrconf
/usr/lib/YaST2/scrconf/*.scr

%files devel
%dir /usr/lib/YaST2/plugin
/usr/lib/YaST2/plugin/libpy2ag_modules.so
/usr/lib/YaST2/plugin/libpy2ag_modules.la
%dir /usr/share/doc/packages/yast2-agent-modules
/usr/share/doc/packages/yast2-agent-modules/*

%changelog -n yast2-agent-modules
* Wed Sep 12 2001 - msvec@suse.cz
- clear dirtyflags after write
- fixed reread after external write
- 2.4.4
* Thu Aug 09 2001 - arvin@suse.de
- fixed call of readconf
* Thu Jul 26 2001 - msvec@suse.cz
- initial testsuite
- enabled abuild checking
- better "keep" handling (don't report error anymore)
- fixed minor segfaults
- version 2.4.2
* Wed Jul 25 2001 - kkaempf@suse.de
- check existance of agent in destructor
* Fri Jun 29 2001 - arvin@suse.de
- fix to compile with gcc 3.0
- adapt to new automake/autoconf
* Mon May 07 2001 - dmeszar@suse.cz
- temporary modules agent added (.tmp.modules)
* Thu Apr 12 2001 - dan@suse.cz
- fix of final endif when processing conditions
* Thu Mar 29 2001 - kkaempf@suse.de
- dont install libs, only plugin is needed
* Mon Mar 26 2001 - arvin@suse.de
- moved documentation to packages/yast2-agent-modules
* Fri Mar 09 2001 - dan@suse.cz
- check stream during write, close stream everytime
- keep the original file if renaming of temp was unsucessful
- avoid cross device errors, keep tempfile on same directory
- version 2.3.0 <kkeampf@suse.de>
- new package name <msvec@suse.cz>
- use RPM_OPT_FLAGS <msvec@suse.cz>
- package split y2a_mods / y2a_mods-devel <arvin@suse.de>
* Tue Feb 20 2001 - kkaempf@suse.de
- check stream during write, close stream everytime
* Wed Jan 31 2001 - dan@suse.cz
- keep the original file if renaming of temp was unsucessful
* Fri Jan 26 2001 - kkaempf@suse.de
- avoid cross device errors, keep tempfile on same directory
* Tue Jan 02 2001 - msvec@suse.cz
- fix reading spaces
* Wed Dec 20 2000 - msvec@suse.cz
- fix crash on some unsupported directives
* Thu Nov 16 2000 - kkaempf@suse.de
- provide shared libs for dynamic plugins
* Thu Nov 09 2000 - kkaempf@suse.de
- static plugin only
* Wed Nov 08 2000 - kkaempf@suse.de
- link binary with libcrypt
* Wed Oct 25 2000 - kkaempf@suse.de
- Group set
* Thu Oct 05 2000 - kkaempf@suse.de
- initial version (from y2scr/ag_modules)
